Open CASCADE Technology: PDataStd_TreeNode Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PDataStd_TreeNode Class Reference

`#include <PDataStd_TreeNode.hxx>`

Inheritance diagram for PDataStd_TreeNode:
[legend]

## Public Member Functions
| PDataStd_TreeNode ()
Handle< PDataStd_TreeNode > | First () const
void | SetFirst (const Handle< PDataStd_TreeNode > &F)
Handle< PDataStd_TreeNode > | Next () const
void | SetNext (const Handle< PDataStd_TreeNode > &F)
void | SetTreeID (const Standard_GUID &GUID)
Standard_GUID | GetTreeID () const
| PDataStd_TreeNode (const Storage_stCONSTclCOM &a)
Handle< PDataStd_TreeNode > | _CSFDB_GetPDataStd_TreeNodemyFirst () const
void | _CSFDB_SetPDataStd_TreeNodemyFirst (const Handle< PDataStd_TreeNode > &p)
Handle< PDataStd_TreeNode > | _CSFDB_GetPDataStd_TreeNodemyNext () const
void | _CSFDB_SetPDataStd_TreeNodemyNext (const Handle< PDataStd_TreeNode > &p)
const Standard_GUID & | _CSFDB_GetPDataStd_TreeNodemyTreeID () const
Public Member Functions inherited from PDF_Attribute
| PDF_Attribute (const Storage_stCONSTclCOM &a)
| PDF_Attribute ()
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PDataStd_TreeNode::PDataStd_TreeNode | ( |  | ) |

PDataStd_TreeNode::PDataStd_TreeNode | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Handle< PDataStd_TreeNode > PDataStd_TreeNode::_CSFDB_GetPDataStd_TreeNodemyFirst | ( |  | ) | const
| inline

Handle< PDataStd_TreeNode > PDataStd_TreeNode::_CSFDB_GetPDataStd_TreeNodemyNext | ( |  | ) | const
| inline

const Standard_GUID& PDataStd_TreeNode::_CSFDB_GetPDataStd_TreeNodemyTreeID | ( |  | ) | const
| inline

void PDataStd_TreeNode::_CSFDB_SetPDataStd_TreeNodemyFirst | ( | const Handle< PDataStd_TreeNode > & | p | ) |
| inline

void PDataStd_TreeNode::_CSFDB_SetPDataStd_TreeNodemyNext | ( | const Handle< PDataStd_TreeNode > & | p | ) |
| inline

Handle< PDataStd_TreeNode > PDataStd_TreeNode::First | ( |  | ) | const

Standard_GUID PDataStd_TreeNode::GetTreeID | ( |  | ) | const

Handle< PDataStd_TreeNode > PDataStd_TreeNode::Next | ( |  | ) | const

void PDataStd_TreeNode::SetFirst | ( | const Handle< PDataStd_TreeNode > & | F | ) |

void PDataStd_TreeNode::SetNext | ( | const Handle< PDataStd_TreeNode > & | F | ) |

void PDataStd_TreeNode::SetTreeID | ( | const Standard_GUID & | GUID | ) |

The documentation for this class was generated from the following file:

- PDataStd_TreeNode.hxx